Update the project's settings
curl --request PATCH \
--url https://wisepim.com/api/public/v1/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"primary_locale": "<string>",
"available_locales": [
"<string>"
],
"currency": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/project"
payload = {
"name": "<string>",
"description": "<string>",
"primary_locale": "<string>",
"available_locales": ["<string>"],
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
primary_locale: '<string>',
available_locales: ['<string>'],
currency: '<string>'
})
};
fetch('https://wisepim.com/api/public/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"name": "<string>",
"status": "<string>",
"primary_locale": "<string>",
"available_locales": [
"<string>"
],
"currency": "<string>",
"product_count": 123,
"description": "<string>",
"primary_industry": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Update project settings
PATCH /project: change the project’s name, description, languages and currency. Requires project:write.
PATCH
/
api
/
public
/
v1
/
project
Update the project's settings
curl --request PATCH \
--url https://wisepim.com/api/public/v1/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"primary_locale": "<string>",
"available_locales": [
"<string>"
],
"currency": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/project"
payload = {
"name": "<string>",
"description": "<string>",
"primary_locale": "<string>",
"available_locales": ["<string>"],
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
primary_locale: '<string>',
available_locales: ['<string>'],
currency: '<string>'
})
};
fetch('https://wisepim.com/api/public/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"name": "<string>",
"status": "<string>",
"primary_locale": "<string>",
"available_locales": [
"<string>"
],
"currency": "<string>",
"product_count": 123,
"description": "<string>",
"primary_industry": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Body
application/json
Response
OK

